Package com.facebook.presto.jdbc

# Class StageStats

java.lang.Object
com.facebook.presto.jdbc.StageStats

public final class StageStats extends Object

## Constructor Summary

Constructors
Constructor
Description
`StageStats(String stageId, String state, boolean done, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long cpuTimeMillis, long wallTimeMillis, long processedRows, long processedBytes, List<StageStats> subStages)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCompletedSplits()`
`long`
`getCpuTimeMillis()`
`int`
`getNodes()`
`long`
`getProcessedBytes()`
`long`
`getProcessedRows()`
`int`
`getQueuedSplits()`
`int`
`getRunningSplits()`
`String`
`getStageId()`
`String`
`getState()`
`List<StageStats>`
`getSubStages()`
`int`
`getTotalSplits()`
`long`
`getWallTimeMillis()`
`boolean`
`isDone()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StageStats

public StageStats(String stageId, String state, boolean done, int nodes, int totalSplits, int queuedSplits, int runningSplits, int completedSplits, long cpuTimeMillis, long wallTimeMillis, long processedRows, long processedBytes, List<StageStats> subStages)

## Method Details

### getStageId

public String getStageId()

### getState

public String getState()

### isDone

public boolean isDone()

### getNodes

public int getNodes()

### getTotalSplits

public int getTotalSplits()

### getQueuedSplits

public int getQueuedSplits()

### getRunningSplits

public int getRunningSplits()

### getCompletedSplits

public int getCompletedSplits()

### getCpuTimeMillis

public long getCpuTimeMillis()

### getWallTimeMillis

public long getWallTimeMillis()

### getProcessedRows

public long getProcessedRows()

### getProcessedBytes

public long getProcessedBytes()

### getSubStages

public List<StageStats> getSubStages()